<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:00 CEST 2016 -->
<title>Blokus</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Blokus";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Blokus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/Aide.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/GlassPane.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/Blokus.html" target="_top">Frames</a></li>
<li><a href="Blokus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_java.awt.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JFrame">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">view</div>
<h2 title="Class Blokus" class="title">Class Blokus</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>java.awt.Window</li>
<li>
<ul class="inheritance">
<li>java.awt.Frame</li>
<li>
<ul class="inheritance">
<li>javax.swing.JFrame</li>
<li>
<ul class="inheritance">
<li>view.Blokus</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Blokus</span>
extends javax.swing.JFrame</pre>
<div class="block">The Class Blokus is the frame who contain the game blokus. It's also the launcher of this game.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#view.Blokus">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_java.awt.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h3>
<code>java.awt.Window.Type</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_javax.swing.JFrame">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JFrame</h3>
<code>EXIT_ON_CLOSE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.Frame">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Frame</h3>
<code>CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_javax.swing.WindowConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../view/Blokus.html#Blokus()">Blokus</a></strong>()</code>
<div class="block">Instantiates a new blokus frame.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#addCard(java.lang.String,%20javax.swing.JPanel)">addCard</a></strong>(java.lang.String&nbsp;name,
       javax.swing.JPanel&nbsp;p)</code>
<div class="block">Adds the jPanel to the cardLayout with the name in parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>javax.swing.JPanel</code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#getCards()">getCards</a></strong>()</code>
<div class="block">Gets the jPanel who have the cardLayout.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../view/GlassPane.html" title="class in view">GlassPane</a></code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#getGlass()">getGlass</a></strong>()</code>
<div class="block">Gets the glassPane.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../view/MainMenu.html" title="class in view">MainMenu</a></code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#getMain()">getMain</a></strong>()</code>
<div class="block">Gets the main menu of the blokus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../view/Parametres.html" title="class in view">Parametres</a></code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#getParametres()">getParametres</a></strong>()</code>
<div class="block">Gets the parametres.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../view/ViewGame.html" title="class in view">ViewGame</a></code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#getViewGame()">getViewGame</a></strong>()</code>
<div class="block">Gets the viewGame.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#main(java.lang.String[])">main</a></strong>(java.lang.String[]&nbsp;args)</code>
<div class="block">The main method, who launch this program.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#removeGame()">removeGame</a></strong>()</code>
<div class="block">Removes the actual game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#setCards(javax.swing.JPanel)">setCards</a></strong>(javax.swing.JPanel&nbsp;cards)</code>
<div class="block">Sets the jPanel who have the cardLayout.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#setViewGame(view.ViewGame)">setViewGame</a></strong>(<a href="../view/ViewGame.html" title="class in view">ViewGame</a>&nbsp;vg)</code>
<div class="block">Sets the viewGame.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/Blokus.html#show(java.lang.String)">show</a></strong>(java.lang.String&nbsp;s)</code>
<div class="block">Show the jPanel in cards, identified by the name in parameters.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.JFrame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JFrame</h3>
<code>getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Frame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Frame</h3>
<code>addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.MenuContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.awt.MenuContainer</h3>
<code>getFont, postEvent</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Blokus()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Blokus</h4>
<pre>public&nbsp;Blokus()</pre>
<div class="block">Instantiates a new blokus frame.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="main(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block">The main method, who launch this program.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - the arguments</dd></dl>
</li>
</ul>
<a name="getMain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMain</h4>
<pre>public&nbsp;<a href="../view/MainMenu.html" title="class in view">MainMenu</a>&nbsp;getMain()</pre>
<div class="block">Gets the main menu of the blokus.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the main menu (a jPanel)</dd></dl>
</li>
</ul>
<a name="addCard(java.lang.String, javax.swing.JPanel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addCard</h4>
<pre>public&nbsp;void&nbsp;addCard(java.lang.String&nbsp;name,
           javax.swing.JPanel&nbsp;p)</pre>
<div class="block">Adds the jPanel to the cardLayout with the name in parameters.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - the name of the jPanel</dd><dd><code>p</code> - the jPanel</dd></dl>
</li>
</ul>
<a name="getCards()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCards</h4>
<pre>public&nbsp;javax.swing.JPanel&nbsp;getCards()</pre>
<div class="block">Gets the jPanel who have the cardLayout.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the cards</dd></dl>
</li>
</ul>
<a name="setCards(javax.swing.JPanel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCards</h4>
<pre>public&nbsp;void&nbsp;setCards(javax.swing.JPanel&nbsp;cards)</pre>
<div class="block">Sets the jPanel who have the cardLayout.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>cards</code> - the new cards</dd></dl>
</li>
</ul>
<a name="show(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>show</h4>
<pre>public&nbsp;void&nbsp;show(java.lang.String&nbsp;s)</pre>
<div class="block">Show the jPanel in cards, identified by the name in parameters.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>s</code> - the s</dd></dl>
</li>
</ul>
<a name="setViewGame(view.ViewGame)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setViewGame</h4>
<pre>public&nbsp;void&nbsp;setViewGame(<a href="../view/ViewGame.html" title="class in view">ViewGame</a>&nbsp;vg)</pre>
<div class="block">Sets the viewGame.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>vg</code> - the new viewGame</dd></dl>
</li>
</ul>
<a name="getViewGame()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getViewGame</h4>
<pre>public&nbsp;<a href="../view/ViewGame.html" title="class in view">ViewGame</a>&nbsp;getViewGame()</pre>
<div class="block">Gets the viewGame.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the viewGame</dd></dl>
</li>
</ul>
<a name="removeGame()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeGame</h4>
<pre>public&nbsp;void&nbsp;removeGame()</pre>
<div class="block">Removes the actual game.</div>
</li>
</ul>
<a name="getGlass()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGlass</h4>
<pre>public&nbsp;<a href="../view/GlassPane.html" title="class in view">GlassPane</a>&nbsp;getGlass()</pre>
<div class="block">Gets the glassPane.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the glass</dd></dl>
</li>
</ul>
<a name="getParametres()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getParametres</h4>
<pre>public&nbsp;<a href="../view/Parametres.html" title="class in view">Parametres</a>&nbsp;getParametres()</pre>
<div class="block">Gets the parametres.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the parametres</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Blokus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/Aide.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/GlassPane.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/Blokus.html" target="_top">Frames</a></li>
<li><a href="Blokus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_java.awt.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JFrame">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
